@import url('https://fonts.googleapis.com/css?family=Averia+Serif+Libre');
@import url('https://fonts.googleapis.com/css?family=Roboto');

:root {
    --blanco: rgb(236, 238, 234); /*color blanco basico*/
    --negro: rgb(36, 39, 44); /*color negro basico*/
    --cyan: rgb(25, 189, 194); /*color cyan basico*/
    --amarillo: rgb(255, 207, 38); /*color amarillo basico*/
    --blanco-transparente: rgb(236, 238, 234, 0.5); /*color blanco transparente*/
    --negro-transparente: rgb(36, 39, 44, 0.5); /*color negro transparente*/
    --cyan-transparente: rgb(25, 189, 194, 0.5); /*color cyan transparente*/
    --amarillo-transparente: rgb(255, 207, 38, 0.5); /*color amarillo transparente*/
  }

/* Estilos generales */
body {
margin: 0;
padding: 0;
font-family: 'roboto';
background-color: white;
}

#header-1 {
width: 60%;
margin-left: auto;
margin-right: auto;
}

/*navegadores*/
#bar {
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  right: 0;
  background-color: var(--blanco);
  width: 60%;
  margin: auto;
  padding-bottom: 0%;
  }

#main-nav {
  display: block;
  margin-top: 2%;
  margin-bottom: 0.4%;
  margin-right: 1%;
  padding: 0.1%;
  padding-bottom: 1%;
  text-align: right;
  float: right;
  overflow: hidden;
}

#main-nav ul li {
  display: inline-block;
  padding-top: 2%;
  }
  
#main-nav ul li a {
  color: var(--negro);
  text-decoration: none;
  padding: 8px 12px;
  clear: right;
  font-size: 20px;
  border-radius: 5px;
  }
  
#main-nav ul li a:hover {
    background-color: var(--negro);
    color: var(--amarillo);
  }
  
.activo {
  border-bottom: solid 5px var(--amarillo);
  background-color: var(--negro-transparente);
  color: var(--amarillo);
  }

  #social-media {
    margin-top: 0;
    text-align: right;
    margin-bottom: 1%;
    }

  #social-media ul {
    margin: 0;
  }

  #social-media li {
    display: inline-block;
  }

  #social-media a {
    display: block;
    height: 49px;
  }
  
  #sm-spotify {
    left: 0px;
    width: 48.5px;
    background: url('/images/recursos/social-media.png') 0 0;
  }

  #sm-instagram {
    left: 48.5px;
    width: 48.5px;
    background: url('/images/recursos/social-media.png') 145.5px 0;
  }

  #sm-soundcloud {
    left: 97.5px;
    width: 48.5px;
    background: url('/images/recursos/social-media.png') 97.5px 0;
  }
   
  #sm-facebook {
    margin-right: 1%;
    left: 0;
    width: 48.5px;
    background: url('/images/recursos/social-media.png') 48.5px 0;
  }


  #sm-spotify a:hover {
    left: 0px;
    width: 48.5px;
    background: url('/images/recursos/social-media.png') 0 49px;
  }

  #sm-instagram a:hover {
    left: 48.5px;
    width: 48.5px;
    background: url('/images/recursos/social-media.png') 145.5px 49px;
  }

  #sm-soundcloud a:hover {
    left: 97px;
    width: 48.5px;
    background: url('/images/recursos/social-media.png') 97px 49px;
  }
   
  #sm-facebook a:hover {
    margin-right: 1%;
    left: 0;
    width: 48.5px;
    background: url('/images/recursos/social-media.png') 48.5px 49px;
  }


  
/*título de página*/
#titlecontainer {
width: 100%;
background-color: var(--negro);
color: var(--blanco);
}

#titlecontainer h1 {
  margin-top: 0px;
  font-family: 'averia serif libre', regular;
  font-size: 30px;
  padding-left: 2%;
}

/*lienzo principal*/
#bodycontainer {
  width: 60%;
  min-height: 1080px;
  position: absolute;
  left: 0;
  right: 0;
  margin-left: auto;
  margin-right: auto;
  margin-top: 0px;
  padding-bottom: 4%;
  background-color: var(--blanco);
  color: var(--negro);
  font-size: 16px;
}

#bodycontainer p {
margin-top: 0px;
padding-left: 10px;
padding-right: 10px;
}

#bodycontainer a {
  color: var(--negro);
  font-weight: bold;
  text-decoration: none;
}

#bodycontainer q {
  font-style: italic;
}

#bodycontainer p a:hover {
  background-color: var(--blanco);
  color: var(--negro);
}

strong {
  font-weight: bold;
}

/* cajas*/
.box-total{
  background-color: var(--negro-transparente);
  width: 98%;
  min-height: 100%;
  margin-top: 0px;
  padding-bottom: 1%;
  margin-left: 1%;
  margin-right: 1%;
  float: left;
}

.box-total-bar {
  margin: 0px;
  width: 100%;
  height: 100%;
  background-color: var(--negro);
}

.box-total-bar h1 {
  font-size: 24px;
  padding-left: 24px;
  color: var(--amarillo);
}

.box-total-bar-2 {
  margin: 0px;
  width: 100%;
  height: 100%;
  background-color: var(--negro);
}

.box-total-bar-2 h1 {
  font-size: 24px;
  padding-left: 24px;
  color: var(--blanco);
}

.box-total p {
  font-size: 20px;
  color: var(--blanco);
}
.box-total p strong {
  color: var(--negro);
}

.box-left {
width: 59%;
height: 100%;
margin-left: 1%;

float: left;
}

.box-left-content {
  padding-top: 1%;
  padding-bottom: 1%;
  margin-bottom: 2%;
  background-color: var(--negro-transparente);
  color: var(--blanco);
  font-size: 16px;
  border-radius: 10px 0px;
  }

.box-left-bar {
  width: 100%;
  height: 100%;
  background-color: var(--negro);
}

.box-left-bar h1 {
  font-size: 24px;
  padding-left: 20px;
  color: var(--blanco);
}

.box-left p {
  text-align: justify;
}

.box-right {
  background-color: var(--amarillo-transparente);
  width: 38%;
  height: 100%;
  margin-top: 0px;
  padding-top: 1%;
  padding-bottom: 1%;
  margin-right: 1%;
  font-size: 16px;
  float: right;
  border-radius: 10px 0px;
}

.box-right-bar {
  margin: 0px;
  width: 100%;
  height: 100%;
  background-color: var(--cyan);
}

.box-right-bar h1 {
  font-size: 24px;
  text-align: right;
  padding-right: 10px;
  color: var(--blanco);
}

.box-right p {
  text-align: justify;
}

.box-right-gif {
  width: 38%;
  margin-right: 1%;
  margin-left: 1%;
  float: right;
}

.box-bc {
  float: right;
  width: 100%;
  height: 100%;
}

.box-mail {
  height: 360px;
  width: 98%;
  margin-left: 1%;
  padding-top: 1%;
  padding-bottom: 10%;
  margin-bottom: 2%;
  background-color: var(--amarillo-transparente);
  color: var(--negro);
  font-size: 16px;
  }

.cover {
position: relative;
z-index: 0;
float: left;
width: 32%;
height: 100%;
margin-left: 1%;
margin-top: 1%;
}

.cover:hover {
  background: none;
}

.info-cover {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 1;
  margin-left: 1%;
  margin-right: 1%;
  margin-bottom: 1%;
  padding: 2%;
  font-weight: 300;
  background-color: var(--negro);
  color: var(--blanco);
  text-align: center;
}

.info-cover:hover {
  background-color: var(--blanco-transparente);
  color: var(--negro);
  font-weight: 700;
}

footer {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  margin-left: auto;
  margin-right: auto;  
}



.footer-1 {
  text-align: center;
  background-color: var(--negro);
  color: var(--blanco);
  padding-top: 10px;
  padding-bottom: 20px;
}

/* imagenes*/
.imgheader-inicio {
  width: 100%;
  height: 300px;
  background-repeat: no-repeat;
  margin-top: 10%;
  background-position-y: 42%;
  background-image: url(../images/recursos/IMG_0527.jpg);
  background-size:100%;
}

.imgheader-proyecto {
  width: 100%;
  height: 300px;
  background-repeat: no-repeat;
  margin-top: 10%;
  background-position-y: 85%;
  background-image: url(../images/recursos/IMG_0470.jpg);
  background-size: 100%;
  }

.imgheader-musica {
  width: 100%;
  height: 300px;
  background-repeat: no-repeat;
  margin-left: auto;
  margin-right: auto;
  margin-top: 10%;
  background-position-y: 80%;
  background-image: url(../images/recursos/Captura2.PNG);
  background-size: 100%;
  }

.imgheader-contacto {
  width: 100%;
  height: 300px;
  background-repeat: no-repeat;
  margin-left: auto;
  margin-right: auto;
  margin-top: 10%;
  background-position-y: 55%;
  background-image: url(../images/recursos/IMG_1084.JPG);
  background-size: 100%;
}

.img-box {
width: 100%;
height: 300px;
background-repeat: no-repeat;
margin-left: auto;
margin-right: auto;
background-position-y: 55%;
background-image: url(../images/recursos/IMG_0471.jpg);
background-size: 100%;
overflow: hidden;
}

.img-cover {
  opacity: 75%;
  transition: opacity 1s;
  float: left;
  clear: right;
  max-width: 100%;
}

.img-cover:hover {
opacity: 100%;
box-shadow: 4px 4px 4px rgba(0, 0, 0, 0.4);
}

.logo {
  width: 10%;
  margin: 1%;
}

.gif-logos {
  width: 100%;
}

  /* linktree*/

#body-linktree {
  background: linear-gradient(to bottom, var(--cyan), var(--negro));
  width: 100%;
  min-height: 940px;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 0px;
  text-align: justify;
}

#header-linktree {
  width: 100%;
  margin: auto;
  margin-top: 20px;
  margin-bottom: 50px;
}

#img-linktree {
  width: 20%;
  height: 20%;
  border-radius: 50%;
  margin-right: auto;
  margin-left: auto;
  margin-bottom: 5px;
  display: block;
  border: 2px solid var(--negro);
  background-size: cover;
}

#title-linktree {
  font-family: 'averia serif libre', regular;
  font-size: 40px;
  text-align: center;
  margin-left: auto;
  margin-right: auto;
}

.box-linktree {
  width: 30%;
  height: 100%;
  margin-left: auto;
  margin-right: auto;
  padding: 10px;
}

.button-linktree {
  text-align: center;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 2%;
  border: 1px solid var(--cyan);
  font-size: 30px;
  font-family: 'averia serif libre', regular;
}

.button-linktree:hover {
  background-color: var(--cyan);
  color: var(--negro);
}

.a-linktree {
text-decoration: none;
color: var(--blanco);
}

.a-linktree:hover {
  text-decoration: none;
  background-color: var(--cyan);
  color: var(--negro);
}

.mail-linktree {
  width: 20%;
  margin-left: auto;
  margin-right: auto;
  padding: 1%;
  display: block;
  text-align: center;
  font-size: 14px;
  text-decoration: none;
  color: var(--negro);
}

.mail-linktree:hover {
  background-color: var(--negro);
  color: var(--blanco);
}


/*mediaquerys*/

@media screen and (max-width: 1200px) {

  .imgheader-inicio {
    height: 150px;
    margin-top: 12%;
  }

  .imgheader-proyecto {
    height: 150px;
    margin-top: 12%;
  }

  .imgheader-musica {
    height: 150px;
    margin-top: 12%;
  }

  .imgheader-contacto {
    height: 150px;
    background-position-y: 48%;
    margin-top: 12%;
  }

  .img-box {
    height: 200px;
  }

  #bar {
  padding-bottom: 0.5%;
  }

  #main-nav ul li a {
    padding: 6px 9px;
    font-size: 16px;
  }

  .activo {
    border-bottom: solid 4px var(--amarillo);
  }

}

@media screen and (max-width: 1000px) {

  #bar {
    padding-bottom: 1.5%;
    }

  #main-nav ul li a {
    padding: 4px 6px;
    font-size: 16px;
    }

  .activo {
    border-bottom: solid 3px var(--amarillo);
  }

  #titlecontainer h1 {
    font-size: 20px;
    margin-top: 0px;
    padding-left: 2%;
    text-align: left;
  }

  .box-right-gif {
    display: none;
  }

  .box-left {
    width: 100%;
    float: none;
    margin: auto;
    }

  .box-right {
    width: 100%;
    float: none;
    margin: auto;
    }

  #bodycontainer p {
    font-size: 14px;
  }

  .box-left-bar h1,
  .box-right-bar h1,
  .box-total h1 {
    font-size: 18px;
  }

  .info-cover {
    font-size: 12px;
  }
}

@media screen and (max-width: 800px) {
  .imgheader-inicio {
  height: 100px;
  margin-top: 14%;
  }

  .imgheader-proyecto {
    height: 100px;
    margin-top: 14%;
  }

  .imgheader-musica {
    height: 100px;
    margin-top: 14%;
  }

  .imgheader-contacto {
    height: 120px;
    margin-top: 14%;
  }


  #bar {

    width: 95%;
    }

  .logo {
    padding-top: 2%;
    padding-left: 2%;
  }

  #main-nav ul li a {
    padding: 2px 3px;
    font-size: 14px;
    }

    #header-1 {
      width: 95%;
    }

  #bodycontainer {
    min-height: 480px;
    width: 95%;
    padding-bottom: 35%;
  }

  #titlecontainer h1 {
    font-size: 18px;
  }

  .box-left-bar h1,
  .box-right-bar h1,
  .box-total h1 {
    font-size: 14px;
  }

  .info-cover {
    font-size: 10px;
  }

  .img-cover {
    opacity: 100%;
  }

  .activo {
    border-bottom: 2px solid var(--amarillo);
  }

  #bodycontainer p a {
    color: var(--negro);
    background: none;
    border-bottom: 2px dashed var(--blanco-transparente);
  }
  
  #bodycontainer .box-total p a {
    color: var(--amarillo);
    border-bottom: none;
  }

  .box-left {
    padding-bottom: 1%;
  }

  .box-mail {
    height: 240px;
  }

  #social-media {
    padding-top: 10%;
    }
  .footer-1 {
    font-size: 14px;
  }
}

@media screen and (max-width: 570px) {

  .imgheader-inicio {
    height: 80px;
    margin-top: 18%;
    }
  
    .imgheader-proyecto {
      height: 80px;
      margin-top: 18%;
    }
  
    .imgheader-musica {
      height: 80px;
      margin-top: 18%;
    }
  
    .imgheader-contacto {
      height: 80px;
      margin-top: 18%;
      background-position-y: 44%;
    }

   #main-nav ul li a {
    font-size: 14px;
    }

  #titlecontainer h1 {
    font-size: 16px;
  }

  .box-left-content,
  .box-total,
  .box-right {
    border-radius: 10px;
  }

  .box-left-bar h1,
  .box-right-bar h1,
  .box-total h1 {
    font-size: 14px;
  }

}

@media screen and (max-width: 480px) {
  .img-box {
    height: 80px;
    }
}
  /*mq linktree*/

@media screen and (max-width: 1120px) {
  #img-linktree {
  width: 18%;
  height: 18%;
  }

  .box-linktree {
    width: 80%;
  }

  .button-linktree {
    font-size: 22px;
  }
  
  .mail-linktree {
  width: 18%;
  text-align: center;
  }

  .mail-linktree:hover {
  width: 18%;
  }
}

@media screen and (max-width: 640px) {
  #img-linktree {
    width: 20%;
    height: 20%;
    }

  .button-linktree {
    font-size: 18px;
  }

  #title-linktree {
    font-size: 30px;
  }

  .mail-linktree {
    width: 20%;
  }
  
}